%define oname	yard

Name:		ruby-%{oname}
Version:	0.8.3
Release:	%mkrel 3
Summary:	Documentation tool for consistent and usable documentation in Ruby
Group:		Development/Ruby
License:	MIT
URL:		http://yardoc.org
Source0:	http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires:	rubygems
BuildRequires:	rubygem(rack)
BuildArch:	noarch

%description
YARD is a documentation generation tool for the Ruby programming language.
It enables the user to generate consistent, usable documentation that can be
exported to a number of formats very easily, and also supports extending for
custom Ruby constructs such as custom class level definitions.

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

#-------------------------------------------------------------------------------
%package        doc
Summary:	Documentation for %{name}
Group:		Development/Ruby
Requires:	%{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%files
%doc ChangeLog LEGAL LICENSE README.md
%{_bindir}/yard
%{_bindir}/yardoc
%{_bindir}/yri
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.8.3-3.mga3
+ Revision: 396629
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.3-2.mga3
+ Revision: 381631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.8.3-1.mga3
+ Revision: 312013
- drop check section
- new version  0.8.3

  + solbu <solbu>
    - New version
    - Spec cleanup
    - Add legalese documentation to main package

* Sun May 01 2011 shikamaru <shikamaru> 0.6.8-2.mga1
+ Revision: 94090
- FIXME: disable one test that fails on bs but not here?\226?\128?\166
- add check section

* Sat Apr 16 2011 shikamaru <shikamaru> 0.6.8-1.mga1
+ Revision: 86045
- new version 0.6.8

* Sat Apr 09 2011 shikamaru <shikamaru> 0.6.7-1.mga1
+ Revision: 82580
- new version 0.6.7

* Wed Feb 02 2011 shikamaru <shikamaru> 0.6.4-1.mga1
+ Revision: 46471
- imported package ruby-yard

